JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const integrations = await client.integrations.list();
console.log(integrations.integrations);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
integrations = client.integrations.list()
print(integrations.integrations)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
integrations, err := client.Integrations.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", integrations.Integrations)
}hyperspell integrations list \
--api-key 'My API Key'curl --request GET \
--url https://api.hyperspell.com/integrations/list \
--header 'Authorization: Bearer <token>'
{
"integrations": [
{
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"allow_multiple_connections": true,
"actions_only": false,
"requires_channel_selection": false,
"supports_channel_selection": false,
"channel_selection_required": false
}
]
}Integrations
List all integrations
List all integrations for the user.
GET
/
integrations
/
list
JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const integrations = await client.integrations.list();
console.log(integrations.integrations);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
integrations = client.integrations.list()
print(integrations.integrations)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
integrations, err := client.Integrations.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", integrations.Integrations)
}hyperspell integrations list \
--api-key 'My API Key'Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I